copy_from_user
Prev | User Space Memory Access | Next

## Name

copy_from_user — Copy a block of data from user space.

## Synopsis

`unsigned long copy_from_user (` | void * | to,
| const void __user * | from,
| unsigned long | n`)`;

## Arguments

`to`

  Destination address, in kernel space.

`from`

  Source address, in user space.

`n`

  Number of bytes to copy.

## Context

User context only. This function may sleep.

## Description

Copy data from user space to kernel space.

Returns number of bytes that could not be copied. On success, this will be zero.

If some data could not be copied, this function will pad the copied data to the requested size using zero bytes.

Prev | Up | Next
copy_to_user | Home | More Memory Management Functions